---
title: "小红书用户笔记 API (V4)"
description: "通过用户 ID 或支持的个人主页 URL，读取小红书（RedNote）用户已发布的公开笔记，支持 lastCursor 分页。此接口不会创建、上传或发布笔记。"
aiUsagePrompt: true
---

# 小红书用户笔记 API \(V4\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/xiaohongshu/get-user-note-list/v4\"")'
  :summary='JSON.parse("\"用户笔记 (V4)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/xiaohongshu-rednote/user-published-notes-v4-zh.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"此 API 服务的访问令牌。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"userId\",\"in\":\"query\",\"description\":\"小红书用户ID或包含 /user/profile/ 的个人资料URL。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"lastCursor\",\"in\":\"query\",\"description\":\"首次请求不传此参数。请求下一页时，传入上一页响应中最后一条笔记的 cursor 值。\",\"required\":false,\"schema\":{\"type\":\"string\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"好的\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"description\":\"成功响应的 data 为对象时，包含已发布笔记和分页字段。\",\"properties\":{\"has_more\":{\"type\":\"boolean\",\"description\":\"是否还有更多笔记。返回 false 时停止翻页。\"},\"cursor\":{\"type\":\"string\",\"description\":\"可选的页面级游标。has_more 为 true 时，将当前页最后一条笔记的 cursor 作为 lastCursor 传入。\"},\"notes\":{\"type\":\"array\",\"description\":\"目标用户公开发布的笔记。分页结束时可能返回空列表。\",\"items\":{\"type\":\"object\",\"description\":\"当前页中的一条已发布笔记。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"小红书笔记 ID。\"},\"cursor\":{\"type\":\"string\",\"description\":\"每条笔记对应的游标。has_more 为 true 时，将最后一条笔记的游标作为 lastCursor 传入。\"},\"display_title\":{\"type\":\"string\",\"description\":\"在列表中展示的笔记标题。\"},\"title\":{\"type\":\"string\",\"description\":\"小红书返回的笔记标题。\"},\"desc\":{\"type\":\"string\",\"description\":\"返回的笔记正文或描述。\"},\"type\":{\"type\":\"string\",\"description\":\"小红书返回的笔记类型。已观察到图文笔记为 normal，视频笔记为 video。\"},\"sticky\":{\"type\":\"boolean\",\"description\":\"小红书是否将该笔记标记为置顶。\"},\"is_goods_note\":{\"type\":\"boolean\",\"description\":\"小红书是否将该笔记标记为商品笔记。\"},\"create_time\":{\"type\":\"integer\",\"description\":\"笔记创建时间，Unix 时间戳，单位为秒。\"},\"last_update_time\":{\"type\":\"integer\",\"description\":\"笔记最后更新时间，Unix 时间戳，单位为秒。可能为 0。\"},\"time_desc\":{\"type\":\"string\",\"description\":\"平台返回的笔记日期展示文本。\"},\"ip_location\":{\"type\":\"string\",\"description\":\"笔记的地区标识，有该值时返回。\"},\"likes\":{\"type\":\"integer\",\"description\":\"likes 字段中返回的点赞数。\"},\"comments_count\":{\"type\":\"integer\",\"description\":\"笔记显示的评论数。\"},\"collected_count\":{\"type\":\"integer\",\"description\":\"平台返回的笔记收藏数。\"},\"share_count\":{\"type\":\"integer\",\"description\":\"平台返回的笔记分享数。\"},\"user\":{\"type\":\"object\",\"description\":\"随笔记返回的作者信息。\",\"properties\":{\"userid\":{\"type\":\"string\",\"description\":\"笔记作者的小红书账号 ID。\"},\"nickname\":{\"type\":\"string\",\"description\":\"页面展示的作者昵称。\"},\"images\":{\"type\":\"string\",\"description\":\"作者头像链接。\"},\"red_official_verify_type\":{\"type\":\"integer\",\"description\":\"平台返回的作者官方认证类别编码。\"}}},\"ats\":{\"type\":\"array\",\"description\":\"笔记中提及的账号列表。\",\"items\":{\"type\":\"object\",\"description\":\"笔记中提及的一个账号。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"被提及用户的小红书账号 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"平台返回的被提及账号名称。\"},\"nickname\":{\"type\":\"string\",\"description\":\"平台返回的被提及账号昵称。\"}}}},\"images_list\":{\"type\":\"array\",\"description\":\"笔记的图片资源，视频笔记也可能返回封面图。\",\"items\":{\"type\":\"object\",\"description\":\"笔记关联的一张图片。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"图片链接。该字段为空时，大尺寸图片链接仍可能有值。\"},\"original\":{\"type\":\"string\",\"description\":\"原图链接字段，可能为空。\"},\"width\":{\"type\":\"integer\",\"description\":\"图片元数据中记录的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"图片元数据中记录的高度，单位为像素。\"},\"fileid\":{\"type\":\"string\",\"description\":\"图片在平台上的文件 ID。\"},\"url_size_large\":{\"type\":\"string\",\"description\":\"大尺寸图片版本的链接。\"},\"live_photo_file_id\":{\"type\":\"string\",\"description\":\"平台返回的图片实况照片文件 ID。\"},\"live_photo\":{\"type\":\"object\",\"description\":\"图片的实况照片信息。有相关信息时返回。\",\"properties\":{\"media\":{\"type\":\"object\",\"description\":\"平台提供的实况照片播放信息。\",\"properties\":{\"video_id\":{\"type\":\"string\",\"description\":\"平台返回的实况照片媒体视频 ID。\"},\"video\":{\"type\":\"object\",\"description\":\"与实况照片关联的视频信息。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"视频宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"视频高度，单位为像素。\"},\"duration\":{\"type\":\"integer\",\"description\":\"视频时长，按整秒返回。\"},\"drm_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 DRM 原始类别编码。\"},\"hdr_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 HDR 原始类别编码。\"},\"stream_types\":{\"type\":\"array\",\"description\":\"平台返回的视频流类型编码列表。\",\"items\":{\"type\":\"integer\",\"description\":\"平台返回的视频原始流类型编码。\"}}}},\"stream\":{\"type\":\"object\",\"description\":\"按小红书返回的编解码标签分组的流版本。\",\"properties\":{\"h264\":{\"type\":\"array\",\"description\":\"实况照片的 H.264 流列表。\"},\"h265\":{\"type\":\"array\",\"description\":\"实况照片的 H.265 流列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条实况照片 H.265 流的信息。\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"平台为该流提供的主链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"平台为该流提供的备用链接列表。\",\"items\":{\"type\":\"string\",\"description\":\"流的备用链接。\"}},\"width\":{\"type\":\"integer\",\"description\":\"流的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"流的高度，单位为像素。\"},\"fps\":{\"type\":\"integer\",\"description\":\"平台返回的视频帧率，单位为帧每秒。\"},\"format\":{\"type\":\"string\",\"description\":\"平台返回的流媒体格式。\"},\"video_codec\":{\"type\":\"string\",\"description\":\"平台返回的流视频编解码格式。\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"平台返回的流音频编解码格式，可能为空。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"平台返回的流音频声道数。\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"媒体流平均码率，单位为比特每秒。\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"视频轨道码率，单位为比特每秒。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"音频轨道码率，单位为比特每秒。\"},\"quality_type\":{\"type\":\"string\",\"description\":\"平台返回的流原始画质标签。\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"小红书提供的流说明。\"},\"duration\":{\"type\":\"integer\",\"description\":\"媒体流总时长，单位为毫秒。\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"视频轨道时长，单位为毫秒。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。\"},\"size\":{\"type\":\"integer\",\"description\":\"媒体流文件大小，单位为字节。\"}}}},\"h266\":{\"type\":\"array\",\"description\":\"小红书返回的 H.266 流列表，可能为空。\"},\"av1\":{\"type\":\"array\",\"description\":\"小红书返回的 AV1 流列表，可能为空。\"}}}}},\"consumer\":{\"type\":\"object\",\"description\":\"实况照片的播放选项。\",\"properties\":{\"can_super_resolution\":{\"type\":\"boolean\",\"description\":\"播放信息是否标记支持超分辨率。\"}}}}}}}},\"video_info_v2\":{\"type\":\"object\",\"description\":\"部分视频笔记返回的视频媒体信息。\",\"properties\":{\"image\":{\"type\":\"object\",\"description\":\"与视频关联的图片。\",\"properties\":{\"thumbnail\":{\"type\":\"string\",\"description\":\"视频缩略图链接，有该值时返回。\"},\"first_frame\":{\"type\":\"string\",\"description\":\"视频首帧图片链接，有该值时返回。\"},\"thumbnail_dim\":{\"type\":\"string\",\"description\":\"视频的另一种缩略图链接。\"}}},\"media\":{\"type\":\"object\",\"description\":\"笔记的视频和播放流信息。\",\"properties\":{\"video\":{\"type\":\"object\",\"description\":\"视频笔记中的视频基本信息。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"视频宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"视频高度，单位为像素。\"},\"duration\":{\"type\":\"integer\",\"description\":\"视频时长，按整秒返回。\"},\"drm_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 DRM 原始类别编码。\"},\"hdr_type\":{\"type\":\"integer\",\"description\":\"平台返回的视频 HDR 原始类别编码。\"},\"stream_types\":{\"type\":\"array\",\"description\":\"平台返回的视频流类型编码列表。\",\"items\":{\"type\":\"integer\",\"description\":\"平台返回的视频原始流类型编码。\"}},\"md5\":{\"type\":\"string\",\"description\":\"视频元数据中返回的 MD5 值。\"},\"subtitles\":{\"type\":\"object\",\"description\":\"按响应中的语言键分组的字幕轨道。\",\"properties\":{\"source\":{\"type\":\"array\",\"description\":\"原始语言字幕轨道。\",\"items\":{\"type\":\"object\",\"description\":\"该语言对应的一条字幕轨道。\",\"properties\":{\"language\":{\"type\":\"string\",\"description\":\"平台返回的字幕语言标识。\"},\"url\":{\"type\":\"string\",\"description\":\"字幕轨道链接。\"},\"format\":{\"type\":\"integer\",\"description\":\"字幕格式原始编码。\"},\"type\":{\"type\":\"integer\",\"description\":\"字幕类型原始编码。\"}}}},\"zh-CN\":{\"type\":\"array\",\"description\":\"简体中文字幕轨道，有相关信息时返回。\",\"items\":{\"type\":\"object\",\"description\":\"该语言对应的一条字幕轨道。\",\"properties\":{\"language\":{\"type\":\"string\",\"description\":\"平台返回的字幕语言标识。\"},\"url\":{\"type\":\"string\",\"description\":\"字幕轨道链接。\"},\"format\":{\"type\":\"integer\",\"description\":\"字幕格式原始编码。\"},\"type\":{\"type\":\"integer\",\"description\":\"字幕类型原始编码。\"}}}},\"en-US\":{\"type\":\"array\",\"description\":\"美式英语字幕轨道，有相关信息时返回。\",\"items\":{\"type\":\"object\",\"description\":\"该语言对应的一条字幕轨道。\",\"properties\":{\"language\":{\"type\":\"string\",\"description\":\"平台返回的字幕语言标识。\"},\"url\":{\"type\":\"string\",\"description\":\"字幕轨道链接。\"},\"format\":{\"type\":\"integer\",\"description\":\"字幕格式原始编码。\"},\"type\":{\"type\":\"integer\",\"description\":\"字幕类型原始编码。\"}}}}}}}},\"stream\":{\"type\":\"object\",\"description\":\"按小红书返回的编解码标签分组的流版本。\",\"properties\":{\"h264\":{\"type\":\"array\",\"description\":\"视频笔记的 H.264 视频流列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条 H.264 视频流的信息。\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"平台为该流提供的主链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"平台为该流提供的备用链接列表。\",\"items\":{\"type\":\"string\",\"description\":\"流的备用链接。\"}},\"width\":{\"type\":\"integer\",\"description\":\"流的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"流的高度，单位为像素。\"},\"fps\":{\"type\":\"integer\",\"description\":\"平台返回的视频帧率，单位为帧每秒。\"},\"format\":{\"type\":\"string\",\"description\":\"平台返回的流媒体格式。\"},\"video_codec\":{\"type\":\"string\",\"description\":\"平台返回的流视频编解码格式。\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"平台返回的流音频编解码格式，可能为空。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"平台返回的流音频声道数。\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"媒体流平均码率，单位为比特每秒。\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"视频轨道码率，单位为比特每秒。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"音频轨道码率，单位为比特每秒。\"},\"quality_type\":{\"type\":\"string\",\"description\":\"平台返回的流原始画质标签。\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"小红书提供的流说明。\"},\"duration\":{\"type\":\"integer\",\"description\":\"媒体流总时长，单位为毫秒。\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"视频轨道时长，单位为毫秒。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。\"},\"size\":{\"type\":\"integer\",\"description\":\"媒体流文件大小，单位为字节。\"}}}},\"h265\":{\"type\":\"array\",\"description\":\"视频笔记的 H.265 视频流列表。\",\"items\":{\"type\":\"object\",\"description\":\"单条 H.265 视频流的信息。\",\"properties\":{\"master_url\":{\"type\":\"string\",\"description\":\"平台为该流提供的主链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"平台为该流提供的备用链接列表。\",\"items\":{\"type\":\"string\",\"description\":\"流的备用链接。\"}},\"width\":{\"type\":\"integer\",\"description\":\"流的宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"流的高度，单位为像素。\"},\"fps\":{\"type\":\"integer\",\"description\":\"平台返回的视频帧率，单位为帧每秒。\"},\"format\":{\"type\":\"string\",\"description\":\"平台返回的流媒体格式。\"},\"video_codec\":{\"type\":\"string\",\"description\":\"平台返回的流视频编解码格式。\"},\"audio_codec\":{\"type\":\"string\",\"description\":\"平台返回的流音频编解码格式，可能为空。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"平台返回的流音频声道数。\"},\"avg_bitrate\":{\"type\":\"integer\",\"description\":\"媒体流平均码率，单位为比特每秒。\"},\"video_bitrate\":{\"type\":\"integer\",\"description\":\"视频轨道码率，单位为比特每秒。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"音频轨道码率，单位为比特每秒。\"},\"quality_type\":{\"type\":\"string\",\"description\":\"平台返回的流原始画质标签。\"},\"stream_desc\":{\"type\":\"string\",\"description\":\"小红书提供的流说明。\"},\"duration\":{\"type\":\"integer\",\"description\":\"媒体流总时长，单位为毫秒。\"},\"video_duration\":{\"type\":\"integer\",\"description\":\"视频轨道时长，单位为毫秒。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。\"},\"size\":{\"type\":\"integer\",\"description\":\"媒体流文件大小，单位为字节。\"}}}},\"h266\":{\"type\":\"array\",\"description\":\"小红书返回的 H.266 流列表，可能为空。\"},\"av1\":{\"type\":\"array\",\"description\":\"小红书返回的 AV1 流列表，可能为空。\"}}},\"audio_stream\":{\"type\":\"object\",\"description\":\"按编解码格式分组的音频流，有相关信息时返回。\",\"properties\":{\"AAC\":{\"type\":\"array\",\"description\":\"AAC 音频流列表，有相关信息时返回。\",\"items\":{\"type\":\"object\",\"description\":\"单条 AAC 音频流的信息。\",\"properties\":{\"audio_codec\":{\"type\":\"string\",\"description\":\"音频编解码格式标签。\"},\"audio_channels\":{\"type\":\"integer\",\"description\":\"音频流的声道数。\"},\"master_url\":{\"type\":\"string\",\"description\":\"音频流的主要播放链接。\"},\"backup_urls\":{\"type\":\"array\",\"description\":\"音频流的备用播放链接。\",\"items\":{\"type\":\"string\",\"description\":\"媒体流的备用链接。\"}},\"format\":{\"type\":\"string\",\"description\":\"平台返回的音频流封装格式。\"},\"audio_bitrate\":{\"type\":\"integer\",\"description\":\"音频轨道码率，单位为比特每秒。\"},\"audio_samplerate\":{\"type\":\"integer\",\"description\":\"平台返回的音轨采样率。\"},\"audio_duration\":{\"type\":\"integer\",\"description\":\"音频轨道时长，单位为毫秒。\"},\"size\":{\"type\":\"integer\",\"description\":\"音频流文件大小，单位为字节。\"}}}}}},\"video_id\":{\"type\":\"string\",\"description\":\"平台返回的笔记媒体视频 ID。\"},\"audio_info\":{\"type\":\"object\",\"description\":\"有关可用音频流类型的信息。\",\"properties\":{\"stream_types\":{\"type\":\"array\",\"description\":\"音频流类型编码列表。\",\"items\":{\"type\":\"integer\",\"description\":\"单个音频流类型原始编码。\"}}}}}},\"capa\":{\"type\":\"object\",\"description\":\"视频的补充信息。\",\"properties\":{\"duration\":{\"type\":\"integer\",\"description\":\"该字段记录的视频时长，单位为秒。\"}}},\"consumer\":{\"type\":\"object\",\"description\":\"平台返回的视频播放选项。\",\"properties\":{\"can_super_resolution\":{\"type\":\"boolean\",\"description\":\"播放信息是否标记支持超分辨率。\"}}}}}}}},\"tags\":{\"type\":\"array\",\"description\":\"随当前页返回的标签列表，可能为空。\"}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"请求参数或请求体无效\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"访问令牌无效或未激活\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"权限不足\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"请求速率或每日配额已超限\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"服务器内部错误\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"服务暂时不可用\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"全球生产 API（默认）\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/xiaohongshu/get-user-note-list/v4\"")' />

<p>通过用户 ID 或支持的个人主页 URL，读取小红书（RedNote）用户已发布的公开笔记，支持 lastCursor 分页。此接口不会创建、上传或发布笔记。</p>

## 请求参数

<div class="api-doc-table api-doc-table--params">

| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | 是 | - | 此 API 服务的访问令牌。 |
| <code>userId</code> | query | <code>string</code> | 是 | - | 小红书用户ID或包含 /user/profile/ 的个人资料URL。 |
| <code>lastCursor</code> | query | <code>string</code> | 否 | - | 首次请求不传此参数。请求下一页时，传入上一页响应中最后一条笔记的 cursor 值。 |

</div>

## 代码示例

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE'
```

```text [🤖 AI 提示词]
我想使用 JustOneAPI 提供的“用户笔记 (V4)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE
接口地址: BASE_URL + /api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-rednote/user-published-notes-v4-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- userId (query): 小红书用户ID或包含 /user/profile/ 的个人资料URL。 (必填)
- lastCursor (query): 首次请求不传此参数。请求下一页时，传入上一页响应中最后一条笔记的 cursor 值。

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码：
1. 需通过返回体中的 "code" 字段判断业务结果（code 为 0 表示成功）。
2. 超时建议：建议将请求超时时间设置为 120 秒；如果 120 秒偏长，请至少设置为 60 秒，但可能会有少量请求因超时而未接收到结果。
3. 业务码说明：
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败，请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨，多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口，并处理返回结果。
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/xiaohongshu/get-user-note-list/v4?token=YOUR_API_KEY&userId=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/xiaohongshu-rednote/user-published-notes-v4-zh.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI 定义 (JSON)]</a>
</div>

## 返回字段

业务成功时（`code = 0`）的主要返回字段。

<div class="api-doc-table api-doc-table--response">

| 字段路径 | 类型 | 说明 |
| --- | --- | --- |
| <code>data</code> | - | 成功响应的 data 为对象时，包含已发布笔记和分页字段。 |
| <code>data.has_more</code> | <code>boolean</code> | 是否还有更多笔记。返回 false 时停止翻页。 |
| <code>data.cursor</code> | <code>string</code> | 可选的页面级游标。has_more 为 true 时，将当前页最后一条笔记的 cursor 作为 lastCursor 传入。 |
| <code>data.notes</code> | <code>array</code> | 目标用户公开发布的笔记。分页结束时可能返回空列表。 |
| <code>data.notes[]</code> | <code>object</code> | 当前页中的一条已发布笔记。 |
| <code>data.notes[].id</code> | <code>string</code> | 小红书笔记 ID。 |
| <code>data.notes[].cursor</code> | <code>string</code> | 每条笔记对应的游标。has_more 为 true 时，将最后一条笔记的游标作为 lastCursor 传入。 |
| <code>data.notes[].display_title</code> | <code>string</code> | 在列表中展示的笔记标题。 |
| <code>data.notes[].title</code> | <code>string</code> | 小红书返回的笔记标题。 |
| <code>data.notes[].desc</code> | <code>string</code> | 返回的笔记正文或描述。 |
| <code>data.notes[].type</code> | <code>string</code> | 小红书返回的笔记类型。已观察到图文笔记为 normal，视频笔记为 video。 |
| <code>data.notes[].sticky</code> | <code>boolean</code> | 小红书是否将该笔记标记为置顶。 |
| <code>data.notes[].is_goods_note</code> | <code>boolean</code> | 小红书是否将该笔记标记为商品笔记。 |
| <code>data.notes[].create_time</code> | <code>integer</code> | 笔记创建时间，Unix 时间戳，单位为秒。 |
| <code>data.notes[].last_update_time</code> | <code>integer</code> | 笔记最后更新时间，Unix 时间戳，单位为秒。可能为 0。 |
| <code>data.notes[].time_desc</code> | <code>string</code> | 平台返回的笔记日期展示文本。 |
| <code>data.notes[].ip_location</code> | <code>string</code> | 笔记的地区标识，有该值时返回。 |
| <code>data.notes[].likes</code> | <code>integer</code> | likes 字段中返回的点赞数。 |
| <code>data.notes[].comments_count</code> | <code>integer</code> | 笔记显示的评论数。 |
| <code>data.notes[].collected_count</code> | <code>integer</code> | 平台返回的笔记收藏数。 |
| <code>data.notes[].share_count</code> | <code>integer</code> | 平台返回的笔记分享数。 |
| <code>data.notes[].user</code> | <code>object</code> | 随笔记返回的作者信息。 |
| <code>data.notes[].user.userid</code> | <code>string</code> | 笔记作者的小红书账号 ID。 |
| <code>data.notes[].user.nickname</code> | <code>string</code> | 页面展示的作者昵称。 |
| <code>data.notes[].user.images</code> | <code>string</code> | 作者头像链接。 |
| <code>data.notes[].user.red_official_verify_type</code> | <code>integer</code> | 平台返回的作者官方认证类别编码。 |
| <code>data.notes[].ats</code> | <code>array</code> | 笔记中提及的账号列表。 |
| <code>data.notes[].ats[]</code> | <code>object</code> | 笔记中提及的一个账号。 |
| <code>data.notes[].ats[].id</code> | <code>string</code> | 被提及用户的小红书账号 ID。 |
| <code>data.notes[].ats[].name</code> | <code>string</code> | 平台返回的被提及账号名称。 |
| <code>data.notes[].ats[].nickname</code> | <code>string</code> | 平台返回的被提及账号昵称。 |
| <code>data.notes[].images_list</code> | <code>array</code> | 笔记的图片资源，视频笔记也可能返回封面图。 |
| <code>data.notes[].images_list[]</code> | <code>object</code> | 笔记关联的一张图片。 |
| <code>data.notes[].images_list[].url</code> | <code>string</code> | 图片链接。该字段为空时，大尺寸图片链接仍可能有值。 |
| <code>data.notes[].images_list[].original</code> | <code>string</code> | 原图链接字段，可能为空。 |
| <code>data.notes[].images_list[].width</code> | <code>integer</code> | 图片元数据中记录的宽度，单位为像素。 |
| <code>data.notes[].images_list[].height</code> | <code>integer</code> | 图片元数据中记录的高度，单位为像素。 |
| <code>data.notes[].images_list[].fileid</code> | <code>string</code> | 图片在平台上的文件 ID。 |
| <code>data.notes[].images_list[].url_size_large</code> | <code>string</code> | 大尺寸图片版本的链接。 |
| <code>data.notes[].images_list[].live_photo_file_id</code> | <code>string</code> | 平台返回的图片实况照片文件 ID。 |
| <code>data.notes[].images_list[].live_photo</code> | <code>object</code> | 图片的实况照片信息。有相关信息时返回。 |
| <code>data.notes[].images_list[].live_photo.media</code> | <code>object</code> | 平台提供的实况照片播放信息。 |
| <code>data.notes[].images_list[].live_photo.media.video_id</code> | <code>string</code> | 平台返回的实况照片媒体视频 ID。 |
| <code>data.notes[].images_list[].live_photo.media.video</code> | <code>object</code> | 与实况照片关联的视频信息。 |
| <code>data.notes[].images_list[].live_photo.media.video.width</code> | <code>integer</code> | 视频宽度，单位为像素。 |
| <code>data.notes[].images_list[].live_photo.media.video.height</code> | <code>integer</code> | 视频高度，单位为像素。 |
| <code>data.notes[].images_list[].live_photo.media.video.duration</code> | <code>integer</code> | 视频时长，按整秒返回。 |
| <code>data.notes[].images_list[].live_photo.media.video.drm_type</code> | <code>integer</code> | 平台返回的视频 DRM 原始类别编码。 |
| <code>data.notes[].images_list[].live_photo.media.video.hdr_type</code> | <code>integer</code> | 平台返回的视频 HDR 原始类别编码。 |
| <code>data.notes[].images_list[].live_photo.media.video.stream_types</code> | <code>array</code> | 平台返回的视频流类型编码列表。 |
| <code>data.notes[].images_list[].live_photo.media.video.stream_types[]</code> | <code>integer</code> | 平台返回的视频原始流类型编码。 |
| <code>data.notes[].images_list[].live_photo.media.stream</code> | <code>object</code> | 按小红书返回的编解码标签分组的流版本。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h264</code> | <code>array</code> | 实况照片的 H.264 流列表。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265</code> | <code>array</code> | 实况照片的 H.265 流列表。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[]</code> | <code>object</code> | 单条实况照片 H.265 流的信息。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].master_url</code> | <code>string</code> | 平台为该流提供的主链接。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].backup_urls</code> | <code>array</code> | 平台为该流提供的备用链接列表。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].backup_urls[]</code> | <code>string</code> | 流的备用链接。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].width</code> | <code>integer</code> | 流的宽度，单位为像素。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].height</code> | <code>integer</code> | 流的高度，单位为像素。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].fps</code> | <code>integer</code> | 平台返回的视频帧率，单位为帧每秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].format</code> | <code>string</code> | 平台返回的流媒体格式。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].video_codec</code> | <code>string</code> | 平台返回的流视频编解码格式。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].audio_codec</code> | <code>string</code> | 平台返回的流音频编解码格式，可能为空。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].audio_channels</code> | <code>integer</code> | 平台返回的流音频声道数。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].avg_bitrate</code> | <code>integer</code> | 媒体流平均码率，单位为比特每秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].video_bitrate</code> | <code>integer</code> | 视频轨道码率，单位为比特每秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].audio_bitrate</code> | <code>integer</code> | 音频轨道码率，单位为比特每秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].quality_type</code> | <code>string</code> | 平台返回的流原始画质标签。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].stream_desc</code> | <code>string</code> | 小红书提供的流说明。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].duration</code> | <code>integer</code> | 媒体流总时长，单位为毫秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].video_duration</code> | <code>integer</code> | 视频轨道时长，单位为毫秒。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].audio_duration</code> | <code>integer</code> | 音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h265[].size</code> | <code>integer</code> | 媒体流文件大小，单位为字节。 |
| <code>data.notes[].images_list[].live_photo.media.stream.h266</code> | <code>array</code> | 小红书返回的 H.266 流列表，可能为空。 |
| <code>data.notes[].images_list[].live_photo.media.stream.av1</code> | <code>array</code> | 小红书返回的 AV1 流列表，可能为空。 |
| <code>data.notes[].images_list[].live_photo.consumer</code> | <code>object</code> | 实况照片的播放选项。 |
| <code>data.notes[].images_list[].live_photo.consumer.can_super_resolution</code> | <code>boolean</code> | 播放信息是否标记支持超分辨率。 |
| <code>data.notes[].video_info_v2</code> | <code>object</code> | 部分视频笔记返回的视频媒体信息。 |
| <code>data.notes[].video_info_v2.image</code> | <code>object</code> | 与视频关联的图片。 |
| <code>data.notes[].video_info_v2.image.thumbnail</code> | <code>string</code> | 视频缩略图链接，有该值时返回。 |
| <code>data.notes[].video_info_v2.image.first_frame</code> | <code>string</code> | 视频首帧图片链接，有该值时返回。 |
| <code>data.notes[].video_info_v2.image.thumbnail_dim</code> | <code>string</code> | 视频的另一种缩略图链接。 |
| <code>data.notes[].video_info_v2.media</code> | <code>object</code> | 笔记的视频和播放流信息。 |
| <code>data.notes[].video_info_v2.media.video</code> | <code>object</code> | 视频笔记中的视频基本信息。 |
| <code>data.notes[].video_info_v2.media.video.width</code> | <code>integer</code> | 视频宽度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.video.height</code> | <code>integer</code> | 视频高度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.video.duration</code> | <code>integer</code> | 视频时长，按整秒返回。 |
| <code>data.notes[].video_info_v2.media.video.drm_type</code> | <code>integer</code> | 平台返回的视频 DRM 原始类别编码。 |
| <code>data.notes[].video_info_v2.media.video.hdr_type</code> | <code>integer</code> | 平台返回的视频 HDR 原始类别编码。 |
| <code>data.notes[].video_info_v2.media.video.stream_types</code> | <code>array</code> | 平台返回的视频流类型编码列表。 |
| <code>data.notes[].video_info_v2.media.video.stream_types[]</code> | <code>integer</code> | 平台返回的视频原始流类型编码。 |
| <code>data.notes[].video_info_v2.media.video.md5</code> | <code>string</code> | 视频元数据中返回的 MD5 值。 |
| <code>data.notes[].video_info_v2.media.video.subtitles</code> | <code>object</code> | 按响应中的语言键分组的字幕轨道。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source</code> | <code>array</code> | 原始语言字幕轨道。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source[]</code> | <code>object</code> | 该语言对应的一条字幕轨道。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source[].language</code> | <code>string</code> | 平台返回的字幕语言标识。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source[].url</code> | <code>string</code> | 字幕轨道链接。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source[].format</code> | <code>integer</code> | 字幕格式原始编码。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.source[].type</code> | <code>integer</code> | 字幕类型原始编码。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN</code> | <code>array</code> | 简体中文字幕轨道，有相关信息时返回。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN[]</code> | <code>object</code> | 该语言对应的一条字幕轨道。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN[].language</code> | <code>string</code> | 平台返回的字幕语言标识。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN[].url</code> | <code>string</code> | 字幕轨道链接。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN[].format</code> | <code>integer</code> | 字幕格式原始编码。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.zh-CN[].type</code> | <code>integer</code> | 字幕类型原始编码。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US</code> | <code>array</code> | 美式英语字幕轨道，有相关信息时返回。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US[]</code> | <code>object</code> | 该语言对应的一条字幕轨道。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US[].language</code> | <code>string</code> | 平台返回的字幕语言标识。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US[].url</code> | <code>string</code> | 字幕轨道链接。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US[].format</code> | <code>integer</code> | 字幕格式原始编码。 |
| <code>data.notes[].video_info_v2.media.video.subtitles.en-US[].type</code> | <code>integer</code> | 字幕类型原始编码。 |
| <code>data.notes[].video_info_v2.media.stream</code> | <code>object</code> | 按小红书返回的编解码标签分组的流版本。 |
| <code>data.notes[].video_info_v2.media.stream.h264</code> | <code>array</code> | 视频笔记的 H.264 视频流列表。 |
| <code>data.notes[].video_info_v2.media.stream.h264[]</code> | <code>object</code> | 单条 H.264 视频流的信息。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].master_url</code> | <code>string</code> | 平台为该流提供的主链接。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].backup_urls</code> | <code>array</code> | 平台为该流提供的备用链接列表。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].backup_urls[]</code> | <code>string</code> | 流的备用链接。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].width</code> | <code>integer</code> | 流的宽度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].height</code> | <code>integer</code> | 流的高度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].fps</code> | <code>integer</code> | 平台返回的视频帧率，单位为帧每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].format</code> | <code>string</code> | 平台返回的流媒体格式。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].video_codec</code> | <code>string</code> | 平台返回的流视频编解码格式。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].audio_codec</code> | <code>string</code> | 平台返回的流音频编解码格式，可能为空。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].audio_channels</code> | <code>integer</code> | 平台返回的流音频声道数。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].avg_bitrate</code> | <code>integer</code> | 媒体流平均码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].video_bitrate</code> | <code>integer</code> | 视频轨道码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].audio_bitrate</code> | <code>integer</code> | 音频轨道码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].quality_type</code> | <code>string</code> | 平台返回的流原始画质标签。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].stream_desc</code> | <code>string</code> | 小红书提供的流说明。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].duration</code> | <code>integer</code> | 媒体流总时长，单位为毫秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].video_duration</code> | <code>integer</code> | 视频轨道时长，单位为毫秒。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].audio_duration</code> | <code>integer</code> | 音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。 |
| <code>data.notes[].video_info_v2.media.stream.h264[].size</code> | <code>integer</code> | 媒体流文件大小，单位为字节。 |
| <code>data.notes[].video_info_v2.media.stream.h265</code> | <code>array</code> | 视频笔记的 H.265 视频流列表。 |
| <code>data.notes[].video_info_v2.media.stream.h265[]</code> | <code>object</code> | 单条 H.265 视频流的信息。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].master_url</code> | <code>string</code> | 平台为该流提供的主链接。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].backup_urls</code> | <code>array</code> | 平台为该流提供的备用链接列表。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].backup_urls[]</code> | <code>string</code> | 流的备用链接。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].width</code> | <code>integer</code> | 流的宽度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].height</code> | <code>integer</code> | 流的高度，单位为像素。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].fps</code> | <code>integer</code> | 平台返回的视频帧率，单位为帧每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].format</code> | <code>string</code> | 平台返回的流媒体格式。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].video_codec</code> | <code>string</code> | 平台返回的流视频编解码格式。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].audio_codec</code> | <code>string</code> | 平台返回的流音频编解码格式，可能为空。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].audio_channels</code> | <code>integer</code> | 平台返回的流音频声道数。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].avg_bitrate</code> | <code>integer</code> | 媒体流平均码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].video_bitrate</code> | <code>integer</code> | 视频轨道码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].audio_bitrate</code> | <code>integer</code> | 音频轨道码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].quality_type</code> | <code>string</code> | 平台返回的流原始画质标签。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].stream_desc</code> | <code>string</code> | 小红书提供的流说明。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].duration</code> | <code>integer</code> | 媒体流总时长，单位为毫秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].video_duration</code> | <code>integer</code> | 视频轨道时长，单位为毫秒。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].audio_duration</code> | <code>integer</code> | 音频轨道时长，单位为毫秒。0 可能表示没有音频轨道。 |
| <code>data.notes[].video_info_v2.media.stream.h265[].size</code> | <code>integer</code> | 媒体流文件大小，单位为字节。 |
| <code>data.notes[].video_info_v2.media.stream.h266</code> | <code>array</code> | 小红书返回的 H.266 流列表，可能为空。 |
| <code>data.notes[].video_info_v2.media.stream.av1</code> | <code>array</code> | 小红书返回的 AV1 流列表，可能为空。 |
| <code>data.notes[].video_info_v2.media.audio_stream</code> | <code>object</code> | 按编解码格式分组的音频流，有相关信息时返回。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC</code> | <code>array</code> | AAC 音频流列表，有相关信息时返回。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[]</code> | <code>object</code> | 单条 AAC 音频流的信息。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].audio_codec</code> | <code>string</code> | 音频编解码格式标签。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].audio_channels</code> | <code>integer</code> | 音频流的声道数。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].master_url</code> | <code>string</code> | 音频流的主要播放链接。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].backup_urls</code> | <code>array</code> | 音频流的备用播放链接。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].backup_urls[]</code> | <code>string</code> | 媒体流的备用链接。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].format</code> | <code>string</code> | 平台返回的音频流封装格式。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].audio_bitrate</code> | <code>integer</code> | 音频轨道码率，单位为比特每秒。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].audio_samplerate</code> | <code>integer</code> | 平台返回的音轨采样率。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].audio_duration</code> | <code>integer</code> | 音频轨道时长，单位为毫秒。 |
| <code>data.notes[].video_info_v2.media.audio_stream.AAC[].size</code> | <code>integer</code> | 音频流文件大小，单位为字节。 |
| <code>data.notes[].video_info_v2.media.video_id</code> | <code>string</code> | 平台返回的笔记媒体视频 ID。 |
| <code>data.notes[].video_info_v2.media.audio_info</code> | <code>object</code> | 有关可用音频流类型的信息。 |
| <code>data.notes[].video_info_v2.media.audio_info.stream_types</code> | <code>array</code> | 音频流类型编码列表。 |
| <code>data.notes[].video_info_v2.media.audio_info.stream_types[]</code> | <code>integer</code> | 单个音频流类型原始编码。 |
| <code>data.notes[].video_info_v2.capa</code> | <code>object</code> | 视频的补充信息。 |
| <code>data.notes[].video_info_v2.capa.duration</code> | <code>integer</code> | 该字段记录的视频时长，单位为秒。 |
| <code>data.notes[].video_info_v2.consumer</code> | <code>object</code> | 平台返回的视频播放选项。 |
| <code>data.notes[].video_info_v2.consumer.can_super_resolution</code> | <code>boolean</code> | 播放信息是否标记支持超分辨率。 |
| <code>data.tags</code> | <code>array</code> | 随当前页返回的标签列表，可能为空。 |

</div>

## 响应示例

<ApiExampleSection :api='JSON.parse("\"/api/xiaohongshu/get-user-note-list/v4\"")' />

